#include "backend"
#include "profiler/profiler"

bool Backend::available() const {
    PROFILE("Backend::available");

    debugmsg((Mstr("Back end ") + description()) +
	     (Mstr(": ") + livestr()) +
	     (Mstr(", ") + upstr()) +
	     (Mstr(", ") + connections()) +
	     (Mstr(" connections of ") + maxconn()) +
	     " max\n");
    if (!maxconn())
	return (islive && isup);
    return (islive && isup && connections() < maxconn());
}
