#include "httpbuffer"

bool Httpbuffer::setversion (char v) {
    PROFILE("Httpbuffer::setversion");

    // No headers? Nothing to do.
    if (!headersreceived())
	return false;

    // First line must start with HTTP/1.X.
    // Poke in the version right after that.
    if (bufsz() < 8 || strncmp(bufdata(), "HTTP/1.", 7))
	return false;
    
    // Poke in the new version.
    return setchar(7, v);
}
