#include "httpdispatcher"

#define ERRORSTR \
    "HTTP/1.0 502 Internal Server Error\r\n" \
    "Content-Length: 0\r\n" \
    "\r\n"

void HttpDispatcher::senderrorpage() {
    PROFILE("HttpDispatcher::senderrorpage");
    
    msg ("Sending error page to client.\n");
    try {
	string txt =
	    "<html>\n"
	    " <head>\n"
	    "  <title>Internal Server Error</title>\n"
	    " </head>\n"
	    " <body>\n"
	    "  <h1>Internal Server Error</h1>\n"
	    "  You request could not be completed. Please retry later.\n"
	    " </body>\n"
	    "</html>\n";
	ostringstream mess;
	mess <<
	    "HTTP/1.0 502 Internal Server Error\r\n"
	    "Content-Length: " << txt.size() << "\r\n"
	    "\r\n" <<
	    txt;
	Netbuffer buf(mess.str());
	buf.netwrite(clientfd(), config.client_timeout());
    } catch (Error const &e) {
	cerr << e.what() << " (while sending error page)\n";
    }
}
