#include "sys"
#include "../config/config"

bool ipmatch (struct in_addr adr, struct in_addr mask) {
    PROFILE("ipmatch");
    
    long laddr, lmask;
    memcpy (&laddr, &adr, sizeof(long));
    memcpy (&lmask, &mask, sizeof(long));
    bool match = ( (laddr & lmask) == laddr );

    debugmsg ("Matching ip " + (string)inet_ntoa(adr) + " against mask " +
	      (string)inet_ntoa(mask) + ": " +
	      (match ? "match" : "miss") + "\n");
    
    return (match);
}
