#include "sys"
#include "config/config"
#include "ThreadsAndMutexes/mutex/mutex"
#include "profiler/profiler"
#include "mstr/mstr"

void _msg (Mstr const &s) {
    PROFILE("msg");
    
    Mutex::lock(&cerr);
    if (config.prefixtimestamp())
	cerr << timestamp() << ' ';
    cerr << pthread_self() << " INFO: " << s;
    cerr.flush();
    Mutex::unlock(&cerr);
}
