#include "sys"
#include "config/config"

vector<string> str2parts (string const &s, char sep) {
    PROFILE("str2parts");
    
    string str = s;
    int pos;
    vector<string> parts;
    
    while ( (pos = str.find_first_of(sep)) >= 0) {
	if (pos > 0)
	    parts.push_back (str.substr(0, pos));
	str = str.substr(pos + 1);
    }
    if (str.length() > 0)
	parts.push_back (str);

    return (parts);
}
