#include "checkupthread"

void Checkupthread::execute() {
    while (1) {
	for (unsigned i = 0; i < balancer.nbackends(); i++) {
	    Backend target(balancer.backend(i).backenddef());
	    target.check();
	    if (! balancer.backend(i).live() &&
		target.live() ) {
		balancer.backend(i).live(true);
		msg ("Checkup call: backend " + target.description() +
		     " has awoken\n");
	    } else if (balancer.backend(i).live() &&
		       ! target.live()) {
		balancer.backend(i).live(false);
		msg ("Checkup call: backend " + target.description() +
		     " has gone asleep\n");
	    }
	}
	sleep (config.checkupsec());
    }
}
	
