#include "wakeupthread"

void Wakeupthread::execute() {
    while (1) {
	for (unsigned i = 0; i < balancer.nbackends(); i++) {
	    if (! balancer.backend(i).live()) {
		Backend target(balancer.backend(i).backenddef());
		target.check();
		if (target.live()) {
		    msg ("Wakeup call: backend " + target.description() +
			 " has awoken\n");
		    balancer.backend(i).live(true);
		}
	    }
	}
	sleep (config.wakeupsec());
    }
}

