#include "profiler"

Profiler::~Profiler() {
    struct timeval tv_end;
    gettimeofday (&tv_end, 0);
    double usec =
	( ((double)tv_end.tv_sec * 1000000 + tv_end.tv_usec) -
	  ((double)tv_start.tv_sec * 1000000 + tv_start.tv_usec) );

    /*
    cout << fname
	 << " start " << tv_start.tv_sec << " . " << tv_start.tv_usec
	 << ", end " << tv_end.tv_sec << '.' << tv_end.tv_usec
	 << ", usec " << usec << '\n';
    */
    
    if (!outf)
	outf = fopen ("/tmp/xr-prof.txt", "w");
    if (outf)
	fprintf (outf, "%s %s %g\n",
		 timestamp().c_str(), fname, usec);
}
